// ---------- Area Script ----------
// ------ Created by VRocker -------

const AREAS_INI_NAME = "Areas.ini";

// We can define 250 custom areas
areasString <- array( 250 );
areaNames <- array( 250 );

areaCount <- 0;

g_areaTemp <- "";

g_areaXml <- XmlDocument( "Areas.xml" );

function LoadAreas()
{
	print( "Loaded areas file from " + AREAS_INI_NAME );
		local numItems = CountIniSection( AREAS_INI_NAME, "Areas" );
		local i = 0;
		
		for ( ; i < numItems; i++ )
		{
			local name = ReadIniIndex( AREAS_INI_NAME, "Areas", i );
			local points = ReadIniString ( AREAS_INI_NAME, "Areas", name );
			areasString[ i ] = points;
			
			areaNames[ i ] = name;
	
			i++;
			areaCount++;
		}
}

function GetAreaName( x, y )
{
	for( local i = 0; i < areaCount; i++ )
	{
		if ( InPoly( x, y, areasString[ i ] ) ) return areaNames[ i ];
	}
	
	return GetDistrictName( x, y );
}

function ProcessAreaCommands( plr, level, cmd, args )
{
	if ( cmd == "loc" )
	{
		if ( !args )
			Message( plr + " is currently in " + GetAreaName( plr.Pos.x, plr.Pos.y ) );
		else
		{
			// Checking somebody elses cash
			local plrText = GetTok( args, " ", 1 );
			local plr2 = null;
			
			if ( IsNum( plrText ) ) plr2 = FindPlayer( plrText.tointeger() );
			else plr2 = FindPlayer( plrText );
			
			if ( plr2 )
			{
				Message( plr2 + " is currently in " + GetAreaName( plr2.Pos.x, plr2.Pos.y ) );
			}
			else MessagePlayer( "Invalid player", plr, COL_CMDERROR );
		}
		
		return true;
	}
	else if ( cmd == "p" )
	{
		if ( level >= GetCmdLevel( "addarea" ) )
		{
			if ( g_areaTemp != "" )
				g_areaTemp <- g_areaTemp + ",";
				
			g_areaTemp <- g_areaTemp + plr.Pos.x.tostring() + "," + plr.Pos.y.tostring();
			
			MessagePlayer( "Point set at " + plr.Pos.x + ", " + plr.Pos.y, plr );
		}
		else MessagePlayer( "You must be a level " + GetCmdLevel( "addarea" ) + " admin to use this command", plr, COL_CMDERROR );
		
		return true;
	}
	
	else if ( cmd == "del" )
	{
		if ( level >= GetCmdLevel( "addarea" ) )
		{
			if ( g_areaTemp != "" )
			{
				g_areaTemp <- "";
				
				MessagePlayer( "Area cleared.", plr );
			}
			else MessagePlayer( "No points are currently set" );
		}
		else MessagePlayer( "You must be a level " + GetCmdLevel( "addarea" ) + " admin to use this command", plr, COL_CMDERROR );
		
		return true;
	}
	
	else if ( cmd == "savearea" )
	{
		if ( level >= GetCmdLevel( "addarea" ) )
		{
			if ( args )
			{
				if ( g_areaTemp != "" )
				{
					WriteIniString ( AREAS_INI_NAME, "Areas", args, g_areaTemp );
					
					// Update the internal array
					areasString[ areaCount ] = g_areaTemp;
			
					areaNames[ areaCount ] = args;
						
					areaCount++;
					g_areaTemp <- "";
						
					MessagePlayer( "Area saved as " + args );
				}
				else MessagePlayer( "No points have been set", plr, COL_CMDERROR );
			}
			else MessagePlayer( "Invalid arguments (/savearea <name>)", plr, COL_CMDERROR );
		}
		else MessagePlayer( "You must be a level " + GetCmdLevel( "addarea" ) + " admin to use this command", plr, COL_CMDERROR );
		
		return true;
	}

	return false;
}