// ---------- Commands Script ----------
// --------- Created by VRocker --------

COL_CMDERROR <- Colour( 250, 20, 20 );

function InitCommandSystem()
{
	// Do any additional stuff here
	
	// Load admin commands
	dofile( SCRIPT_LOCATION + "AdminCommands.nut" );
	InitAdminCommandSystem();
}

function onPlayerCommand( plr, cmd1, args )
{
	if ( !cmd1 )
		return 1;

	local cmd = cmd1.tolower(), level = GetPlayerLevel( plr );
	
	// Process commands here
	// NOTE! Every command should return 1 or true to say its a valid command
	
	// Check account commands first, and halt processing if a command was used
	if ( ProcessAccountCommands( plr, level, cmd, args ) )
		return 1;
	
	// If the player is an admin, process the commands
	if ( ProcessAdminCommands( plr, level, cmd, args ) )
		return 1;
	
	// Check the cash system commands
	if ( ProcessCashSystemCommands( plr, level, cmd, args ) )
		return 1;
		
	// Check the area system commands
	if ( ProcessAreaCommands( plr, level, cmd, args ) )
		return 1;
		
	// Now check the basic commands
	
	MessagePlayer( "Invalid command", plr, COL_CMDERROR );
	
	return 1;
}