// ---------- Main Script ----------
// ------ Created by VRocker -------

const SCRIPT_LOCATION = "Scripts/VBS/"

function onScriptLoad()
{
	print( "VRockers base scripts Loading" );
	
	dofile( SCRIPT_LOCATION + "Functions.nut" );
	
	// Load any required modules
	// Hashing is needed for MD5 passwords
	LoadModule( "lu_hashing" );
	
	// Ini module is needed if we're using INIs for areas and vehicle
	LoadModule( "lu_ini" );
	
	// Load additional scripts
	LoadScripts();
	
	// Load the data from the files
	LoadHashes();
	
	print( "VRockers base scripts Loaded successfully" );
}

function onScriptUnload()
{
	// Unload stuff and save data
	
	// Save our data
	SaveHashes();
	
	CloseHashes();
}

function onPlayerJoin( plr )
{
	// Process the join in the accounts system
	ProcessAccountPlayerJoin( plr );
}

function onPlayerPart( plr, reason )
{
	// Process the part in the accounts system
	ProcessAccountPlayerPart( plr );
	
	// Save the data
	SaveHashes();
}